# Enum Class FIL

java.lang.Object
java.lang.Enum<FIL>
org.jmol.c.FIL

All Implemented Interfaces:
  `Serializable, Comparable<FIL>, Constable`

public enum FIL extends Enum<FIL>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATED`
`CREATING_MODELSET`
`DELETED`
`NOT_LOADED`
`ZAPPED`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`static FIL`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FIL[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DELETED

public static final FIL DELETED

### CREATED

public static final FIL CREATED

### CREATING_MODELSET

public static final FIL CREATING_MODELSET

### ZAPPED

public static final FIL ZAPPED

### NOT_LOADED

public static final FIL NOT_LOADED

## Method Details

### values

public static FIL[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FIL valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public int getCode()